curl --request GET \
--url https://apigcp.trynia.ai/v2/sources \
--header 'Authorization: Bearer <token>'{
"pagination": {
"total": 123,
"limit": 123,
"offset": 123,
"has_more": true
},
"items": [
{
"id": "<string>",
"type": "repository",
"identifier": "<string>",
"display_name": "<string>",
"status": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"category_id": "<string>",
"is_global": true,
"global_source_id": "<string>",
"global_namespace": "<string>",
"metadata": {},
"curation": {
"trust_signals": {
"trust_level": "medium",
"trust_tier": "medium",
"scope": "private",
"is_global": false,
"is_verified": false,
"overlay_available": false,
"annotation_count": 0
},
"overlay_summary": "<string>",
"recommended_queries": [
"<string>"
]
}
}
]
}curl --request GET \
--url https://apigcp.trynia.ai/v2/sources \
--header 'Authorization: Bearer <token>'{
"pagination": {
"total": 123,
"limit": 123,
"offset": 123,
"has_more": true
},
"items": [
{
"id": "<string>",
"type": "repository",
"identifier": "<string>",
"display_name": "<string>",
"status": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"category_id": "<string>",
"is_global": true,
"global_source_id": "<string>",
"global_namespace": "<string>",
"metadata": {},
"curation": {
"trust_signals": {
"trust_level": "medium",
"trust_tier": "medium",
"scope": "private",
"is_global": false,
"is_verified": false,
"overlay_available": false,
"annotation_count": 0
},
"overlay_summary": "<string>",
"recommended_queries": [
"<string>"
]
}
}
]
}API key must be provided in the Authorization header
Filter by source type
repository, documentation, research_paper, huggingface_dataset, local_folder, slack, google_drive Search by name or identifier
Filter by status
Filter by category
1 <= x <= 100x >= 0Was this page helpful?